List releases
curl --request GET \
--url https://api.getcargo.io/v1/ai/releases/list \
--header 'Authorization: Bearer <token>'{
"releases": [
{
"uuid": "<string>",
"parentUuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"agentUuid": "<string>",
"description": "<string>",
"templateSlug": "<string>",
"version": "<string>",
"actions": [
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isBulkAllowed": true,
"config": {},
"kind": "<string>",
"toolUuid": "<string>",
"templateSlug": "<string>",
"waitUntilFinished": true
}
],
"resources": [
{
"kind": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"integrationSlug": "<string>",
"modelUuid": "<string>",
"filter": {
"groups": [
"<unknown>"
]
},
"selectedColumnSlugs": [
"<string>"
],
"limit": 123,
"prompt": "<string>",
"isReadOnly": true
}
],
"capabilities": [
{
"slug": "<string>",
"config": {}
}
],
"suggestedActions": [
{
"text": "<string>",
"actions": [
{
"slug": "<string>"
}
]
}
],
"systemPrompt": "<string>",
"withReasoning": true,
"temperature": 123,
"maxSteps": 123,
"integrationSlug": "<string>",
"connectorUuid": "<string>",
"languageModelSlug": "<string>",
"mcpClients": [
{
"kind": "<string>",
"name": "<string>",
"url": "<string>",
"authentication": {
"issuedAt": "<string>",
"accessToken": "<string>",
"expiresIn": 123,
"refreshToken": "<string>",
"scope": "<string>",
"tokenType": "<string>",
"clientId": "<string>"
},
"disabledToolSlugs": [
"<string>"
]
}
],
"output": {
"type": "<string>"
},
"heartbeat": {
"intervalMinutes": 123,
"maxMessages": 123,
"prompt": "<string>"
},
"evaluator": {
"rubric": "<string>",
"threshold": 0.5
},
"deployedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}AI - Releases
List releases
List all releases
GET
/
ai
/
releases
/
list
List releases
curl --request GET \
--url https://api.getcargo.io/v1/ai/releases/list \
--header 'Authorization: Bearer <token>'{
"releases": [
{
"uuid": "<string>",
"parentUuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"agentUuid": "<string>",
"description": "<string>",
"templateSlug": "<string>",
"version": "<string>",
"actions": [
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isBulkAllowed": true,
"config": {},
"kind": "<string>",
"toolUuid": "<string>",
"templateSlug": "<string>",
"waitUntilFinished": true
}
],
"resources": [
{
"kind": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"integrationSlug": "<string>",
"modelUuid": "<string>",
"filter": {
"groups": [
"<unknown>"
]
},
"selectedColumnSlugs": [
"<string>"
],
"limit": 123,
"prompt": "<string>",
"isReadOnly": true
}
],
"capabilities": [
{
"slug": "<string>",
"config": {}
}
],
"suggestedActions": [
{
"text": "<string>",
"actions": [
{
"slug": "<string>"
}
]
}
],
"systemPrompt": "<string>",
"withReasoning": true,
"temperature": 123,
"maxSteps": 123,
"integrationSlug": "<string>",
"connectorUuid": "<string>",
"languageModelSlug": "<string>",
"mcpClients": [
{
"kind": "<string>",
"name": "<string>",
"url": "<string>",
"authentication": {
"issuedAt": "<string>",
"accessToken": "<string>",
"expiresIn": 123,
"refreshToken": "<string>",
"scope": "<string>",
"tokenType": "<string>",
"clientId": "<string>"
},
"disabledToolSlugs": [
"<string>"
]
}
],
"output": {
"type": "<string>"
},
"heartbeat": {
"intervalMinutes": 123,
"maxMessages": 123,
"prompt": "<string>"
},
"evaluator": {
"rubric": "<string>",
"threshold": 0.5
},
"deployedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of releases to return.
Number of releases to skip.
Release statuses to include.
Available options:
deployed, draft, archived Filter releases by agent identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Filter releases by user identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Response
Successful response
List of releases.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

